<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: otherwise</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for otherwise {SparkR}"><tr><td>otherwise {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>otherwise</h2>

<h3>Description</h3>

<p>If values in the specified column are null, returns the value.
Can be used in conjunction with 'when' to specify a default value for expressions.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'Column'
otherwise(x, value)
</pre>


<h3>See Also</h3>

<p>Other colum_func: <code><a href="alias.html">alias</a></code>;
<code><a href="column.html">between</a></code>; <code><a href="column.html">cast</a></code>;
<code><a href="substr.html">substr</a></code>
</p>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
